<!DOCTYPE html>
<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Calc Net</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" type="text/css" media="screen" href="css/main.css">
    <link rel="stylesheet" type="text/css" media="screen" href="css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
	<script src="calcnet.js"></script>
	
	<script type= "text/javascript">
	
	function evalExpr(form) {
	
	if(form.input1.value.trim() === "" && form.input2.value.trim() === "" && form.input3.value.trim() === "" && form.input4.value.trim() === "" && form.input5.value.trim() === "") {
                alert("You Must Enter Atleast One Expression.");
                return false;
            }
	var exprInputs= [];
	
	for (let i = 1; i < 6; i++) {
                var input = "input"+i;

                if (form[input].value !== "") {
                    if ((/^[^\s@]+\.$/.test(form[input].value)) === false) {
                        alert("The end of input is marked with a period mark");
                        return false;
                    }
                    exprInputs.push(form[input].value);
                }
            }
			I(exprInputs);
	
	}
	
	
	</script>
	
</head>
<html>
<body>
<div>
<form onsubmit= "evalExpr(this); return false">
<h4> Enter Expressions </h4>
<label for="text">Input expression 1:</label>
<input type="text" name="input1" id="input1">
<br>
<label for="text">Input expression 2:</label>
<input type="text" name="input2" id="input2">
<br>
<label for="text">Input expression 3:</label>
<input type="text" name="input3" id="input3">
<br>
<label for="text">Input expression 4:</label>
<input type="text" name="input4" id="input4">
<br>
<label for="text">Input expression 5:</label>
<input type="text" name="input5" id="input5">
<br>
<input type= "submit" value = "submit"></input>

</form>
<br>

<svg width= "300" height= "300">
  <g>
    <rect x="5000" y="500" width="100" height="100" fill="red"></rect>
    <text id= "Iinput" x="30" y="50" font-family="Verdana" font-size="25" fill="blue"></text>
  </g>
</svg>

<div class="row">
            <div class="col-3">
                Input Machine<br>
                <span id="Ii-expr">Machine I</span>
                <br><br>
                <span id="Io-expr">Machine I output</span>
            </div>
            <div class="col-1 hline" id="IA"></div>
            <div class="col-3">
                Assignment Machine<br>
                <span id="Ai-expr">Machine A Input</span>
                <br><br>
                <span id="Ao-expr">Machine A Output</span>
            </div>
            <div class="col-1 hline" id="AE"></div>
            <div class="col-3">
                Expression Machine<br>
                <span id="E-expr">Machine E</span><br><br>
                <span id="Eo-expr">Machine E</span>
            </div>
        </div>
        <div class="row">
            <div class="col-9"></div>
            <div class="col-1 vl_line" id="ET1"></div>
            <div class="col-1 vr_line" id="ET2"></div>
        </div>
        <div class="row">
                <div class="col-7"></div>
                <div class="col-2">
                    Term 1<br>
                    <span id="T1-expr">Machine T1</span>
                    <br><br>
                    <span id="T1o-expr"></span>
                </div>
                <div class="col-1"></div>
                <div class="col-2">
                    Term 2<br>
                    <span id="T2-expr">Machine T2</span>
                    <br><br>
                    <span id="T2o-expr"></span>
                </div>
        </div>
        <div class="row">
            <div class="col-8"></div>
            <div class="col-1 vr_line" id="T1P">
                <span class="t1d_line" id="T1D"></span>
            </div>
            <div class="col-1"></div>
            <div class="col-1"></div>
            <div class="col-1 vl_line" id="T2P">
                <span class="t2d_line" id="T2D"></span>
            </div>
        </div>
        <div class="row">
            <div class="col-4"></div>
            <div class="col-3">
                Data Machine<br>
                <span id="Di-expr">Machine D</span>
            </div>
            <div class="col-1 hline" style="border-bottom: 1px dashed black; " id="PD"></div>
            <div class="col-3">
                Power Machine<br>
                <span id="Pi-expr">Machine P</span>
                <br><br>
                <span id="Po-expr">Machine P</span>
            </div>            
        </div>
    </div>
</body>
</html>